/*
	NIDomainPanel.h
	NetInfo Kit
	Copyright (c) 1994, NeXT Computer, Inc.
	All rights reserved.
 */

#import <Foundation/NSString.h>
#import <Foundation/NSArray.h>
#import <NIAccess/NIDomain.h>
#import <AppKit/NSPanel.h>
#import <AppKit/NSBrowser.h>
#import <AppKit/NSMatrix.h>
#import <AppKit/NSEvent.h>

@interface NIDomainPanel : NSPanel
{
	id iconButton;
	id okButton;
	id browser;
	id domainText;
	id reserved;
}

/* 
 * Class Methods
 */
+ (NIDomainPanel *)domainPanel;

/*
 * Selection controls
 */
- (void)setAllowsMultipleSelection:(BOOL)flag;
- (BOOL)allowsMultipleSelection;
- (unsigned)numberSelected;

/*
 * Instance Methods
 */
- panelOK:sender;
- panelCancel:sender;
- (BOOL)runModal;
- (BOOL)runModalForDomain:(NIDomain *)domain;
- (BOOL)runModalForDomainNamed:(NSString *)name;

/* 
 * Domain selected by user
 */
- (NIDomain *)domain;
- (NSString *)domainName;

/*
 * Domains selected if multiple selection is enabled
 */
- (NSArray *)domains;
- (NSArray *)domainNames;

/* 
 * NSBrowser delagate methods
 */
- (void)browser:(NSBrowser *)sender
	createRowsForColumn:(int)column
	inMatrix:(NSMatrix *)matrix;

- selectDomain:sender;

/*
 * keyDown events forwarded from the fieldEditor
 */
- (BOOL)textField:(id)sender receivedKeyDown:(NSEvent *)theEvent;

@end
